#include <video.h>
#include <ports.h>
#include <keyboard.h>
#include <interrupt.h>

uint8_t keys[256];

void array_keyboard(registers* r) {
	// TODO ?????
	uint8_t scancode = inb(0x60);
	if(scancode > 0x39) keys[scancode-0x80] = 0;
	else keys[scancode] = 1;
	vga[44] = scancode;
}

void no_keyboard(registers* r) {
	inb(0x60);
}

void kbmode(uint8_t mode) {
	switch(mode) {
		case 0:
			// ignore keyboard
			regint(33, no_keyboard);
			break;
		case 1:
			// nonblocking, array based keyboard
			regint(33, array_keyboard);
			break;
		// TODO getc-like mode
	}
}
